> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Trust Center compliance framework

> Adds a compliance framework to a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json post /trust-centers/{slugId}/compliance-frameworks
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/compliance-frameworks:
    post:
      tags:
        - Trust Centers
      summary: Create Trust Center compliance framework
      description: Adds a compliance framework to a Trust Center.
      operationId: CreateComplianceFramework
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateComplianceFrameworkInput'
      responses:
        '201':
          description: Trust Center compliance framework created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCenterComplianceFramework'
              examples:
                Example 1:
                  value:
                    id: b3c8d4e5f6a7b8c9d0e1f2a3
                    name: SOC 2 Type II
                    standard: soc2
                    description: Service Organization Control 2 Type II compliance
      security:
        - bearerAuth: []
components:
  schemas:
    CreateComplianceFrameworkInput:
      properties:
        name:
          type: string
          description: Display name of the framework.
        standard:
          type: string
          enum:
            - aiact
            - aiuc1
            - aue8
            - awsFTR
            - ccpa
            - cisv8
            - cjis
            - cmmc2
            - cps234
            - cri
            - dora
            - fedRAMPr5
            - fedramp
            - fedramp20x
            - fedramp20x_2026
            - gdpr
            - hipaa
            - hitruste1
            - iso9001
            - iso27001
            - iso27001_2022
            - iso27017
            - iso27018
            - iso27701
            - iso27701_2025
            - iso42001
            - msftSSPA
            - mvsp
            - nis2d
            - nist53
            - nist171
            - nistAiRmf
            - nistCSF
            - nistcsf2
            - ofdss
            - pciDss4
            - pciSaqA
            - pciSaqAEP
            - pciSaqDMerchant
            - pciSaqDSP
            - soc2
            - soxITGC
            - t23nycrr500
            - tisax
            - iso22301
            - trust
            - ukCyberEssentials
            - ukCyberEssentials33
            - usDataPrivacy
            - fedrampKSI
            - null
          nullable: true
          description: Compliance standard to associate with this framework.
        description:
          type: string
          description: Description of the framework.
      required:
        - name
      type: object
      additionalProperties: false
    TrustCenterComplianceFramework:
      properties:
        id:
          type: string
          description: Unique identifier for the framework.
        name:
          type: string
          description: Display name of the framework.
        standard:
          type: string
          nullable: true
          description: Compliance standard associated with this framework.
        description:
          type: string
          nullable: true
          description: Description of the framework.
      required:
        - id
        - name
        - standard
        - description
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````